Parent Task Chooser
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Lets say you have thousands of projects and a hundreds of task to go along with them, and you want to make a new task that holds

a parent task. Could there be a drop-down or a popup screen that lets you pick from existing issues to automatically complete this

field for you?

Screenshot should clear up confusions.

History

#1 - 2013-02-13 00:47 - Filou Centrinov

This function was already implemented. I'm using redmine 2.2.1 and there a popup appears after typing two or more letters.

#2 - 2013-02-13 09:13 - Toshi MARUYAMA

- Category changed from Issues workflow to Issues

#3 - 2013-02-13 10:15 - Daniel Felix

Which Redmine version do you use and which browser do you use?

#4 - 2013-02-13 15:10 - Elbis Bolton

Using Mozilla Firefox and version 2.2.3

#5 - 2013-02-14 10:17 - Daniel Felix

- Tracker changed from Feature to Defect

Which version of Firefox? Any Plugins installed?

I'm not able to reproduce this with current Firefox and trunk.

I change this to a defect, because those chooser is already implemented.

#6 - 2013-05-19 19:39 - Filou Centrinov

- Status changed from New to Needs feedback

#7 - 2013-05-19 21:01 - Ivan Cenov

This works in my Redmine 2.3.1. When I type at least two letters in parent task field, a dropdown list appears. My configuration is:

Environment:

  Redmine version                          2.3.1.stable

  Ruby version                             1.9.3 (i386-mingw32)

  Rails version                            3.2.13

  Environment                              production

  Database adapter                         Mysql2

Redmine plugins:

  clipboard_image_paste                    1.5

  projects_tree_view                       0.0.8

  redmine_apijs                            4.2.0

  redmine_code_review                      0.6.2

  redmine_didyoumean                       1.2.0

  redmine_favourite_projects               0.6
  redmine_information                      1.0.2

  redmine_issue_checklist                  2.0.5

  redmine_local_avatars                    0.1.1

  redmine_pastebin                         0.2.0

  redmine_plugin_views_revisions           0.0.1

  redmine_theme_changer                    0.1.0

  redmine_user_issues                      0.0.2

  redmine_wiki_gchart_formula              0.0.5

  redmine_xls_export                       0.2.1

  redmine_youtube                          0.0.1

  sidebar_hide                             0.0.2

  wiking                                   0.0.3

+ Firefox 21.0, Windows 7

#8 - 2013-05-24 08:49 - Daniel Felix

- Due date set to 2013-05-31

I Elbis is using an outdated version of Redmine.

Please give Feedback until next week Friday. Otherwise I will close this issue.

Best regards,

Daniel

#9 - 2013-05-24 19:29 - Elbis Bolton

Yea sorry for late reply but yes I was using an outdated version, seems like, I updated. Thanks

#10 - 2013-05-25 12:40 - Toshi MARUYAMA

- Due date deleted (2013-05-31)

- Status changed from Needs feedback to Closed

Thank you for your feedback.
